playMaker

Author Topic: Cinemachine Package Errors [SOLVED]  (Read 812 times)

MajorIdea

  • Full Member
  • ***
  • Posts: 131
    • View Profile
Cinemachine Package Errors [SOLVED]
« on: September 20, 2018, 08:07:44 AM »
Hi, I've been trying to get cinemachine to work with Playmaker and looking at other threads I understand there's no support yet for the new version in the package manager, so we should use the asset store version.

According to the other threads that seems to be the answer but it's not working.

I'm using the latest Unity 2018.2.8f1 and I wonder if that's the issue since the Playmaker 1.9.0p4 has no 2018 version (never been an issue before).



Any ideas?
Thanks
« Last Edit: October 01, 2018, 12:01:59 AM by jeanfabre »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14342
  • Official Playmaker Support
    • View Profile
Re: Cinemachine Package Errors
« Reply #1 on: September 20, 2018, 11:13:11 PM »
Hi,

both package Manager and asset store version are supported, but you need to switch it accordingly to your unity version ( I haven't found yet a good way to solve this sorry...)

you need to upgrade your cinemachine package and use the one from the Package Manager, not the one from the Asset store ( which is not up to date for the newer versions of Unity)

 else, can you tell me which version of Cinemachine you have?

 Bye,

 Jean

MajorIdea

  • Full Member
  • ***
  • Posts: 131
    • View Profile
Re: Cinemachine Package Errors
« Reply #2 on: September 21, 2018, 09:31:25 AM »
Thanks Jean,

When I got the error with the Package Manager version I came here and seeing the answers switched to the asset store version (version 2.1.10).

I'll switch back to the newer one and see if I can make it work :)

MajorIdea

  • Full Member
  • ***
  • Posts: 131
    • View Profile
Re: Cinemachine Package Errors
« Reply #3 on: September 21, 2018, 09:53:25 AM »
Still not working :\



Not sure what you mean by "but you need to switch it accordingly to your unity version"

I'm using the Cinemachine Package Manager version 2.2.7 and the Ecosystem Playmaker Cinemachine actions v1.2.3


jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14342
  • Official Playmaker Support
    • View Profile
Re: Cinemachine Package Errors
« Reply #4 on: September 22, 2018, 09:33:42 AM »
Hi,

 ok, maybe something is fishy with this exact combination, I'll check early next week.

 Bye,

 Jean

blackant

  • Sr. Member
  • ****
  • Posts: 422
  • http://blackantmaster.com
    • View Profile
    • blackantmaster.com
Re: Cinemachine Package Errors
« Reply #5 on: September 23, 2018, 10:24:47 PM »
this bug comes from the last update of cinemachine, cause i used it without problem and updated to the latest version, and now i have this bug too

waiting to get the answer you can just open the script and comment this line:
 
Code: [Select]
// _brain.m_CameraActivatedEvent.AddListener(HandleCameraActivatedAction);
« Last Edit: September 23, 2018, 10:40:26 PM by blackant »

MajorIdea

  • Full Member
  • ***
  • Posts: 131
    • View Profile
Re: Cinemachine Package Errors
« Reply #6 on: September 24, 2018, 02:01:48 PM »
Yep. Had to comment a bit more but I can now use the package. Hope its nothing important xD

Code: [Select]
_brain = this.GetComponent<CinemachineBrain> ();
                if (_brain != null) {
                    _brain.m_CameraActivatedEvent.AddListener(HandleCameraActivatedAction);
                    _brain.m_CameraCutEvent.AddListener(HandleCameraCutEventAction);
                }

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14342
  • Official Playmaker Support
    • View Profile
Re: Cinemachine Package Errors
« Reply #7 on: October 01, 2018, 12:01:50 AM »
Hi,

 new version is up, dedicated to 2018 and the Package Manager version, so make sure you get the right one on the Ecosystem.

 Bye,

 Jean

Zswag

  • Playmaker Newbie
  • *
  • Posts: 9
    • View Profile
Re: Cinemachine Package Errors [SOLVED]
« Reply #8 on: February 12, 2019, 10:02:39 AM »
Having big proglems downloading the Cinemachine extension for Playmaker, Playmaker stops working, and dissapair when i restart unity. Can there be made some kind of support for this?

Info:
Unity version: 2018.2.16f1
Im using a free version as playmaker as a student, and downloaded it from the playmaker site "‎10 ‎October ‎2018, ‏‎14:03:53"

https://imgur.com/hxBC3Vg

I went from 0 to 25 errors after downloading the Cinemachine Package
« Last Edit: February 12, 2019, 10:04:10 AM by Zswag »

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 4379
    • View Profile
    • jinxtergames
Re: Cinemachine Package Errors [SOLVED]
« Reply #9 on: February 12, 2019, 07:39:14 PM »
Hi.
Its best not to ask a question on a [solved] topic.
as we might not look to the post as it is stated as [Solved]
FOR HIRE:Playmaker/C#

Playmaker Samples <-------------> Easy Exporter <---------------------> TPA Actions

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14342
  • Official Playmaker Support
    • View Profile
Re: Cinemachine Package Errors [SOLVED]
« Reply #10 on: February 13, 2019, 05:07:44 AM »
Hi,

 You need to get the latest version of Cinemachine which is on the Package Manager, not on the asset store.

 can you confirm this? what version of Cinemachine do you have?

Bye,

 Jean